
QGIS Application - Bug report #9670

qgis composer map item background setting and/or rendering broken

2014-02-26 06:14 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18237

Description

In qgis master (2.3), the map item background is also rendered a opaque white, regardless of whether the user set a different background

color, or disabled background rendering by unchecking [ ] background. It's a regression from qgis 2.2.

Steps to reproduce:

1. Open the map_item_background_broken project

2. Open the composer

3. The upper map item has a yellow background set, yet it renders as white

4. The lower map item has its background rendering disabled, yet a background is rendered, also white

I'm less sure it's a regression from the MT rendering merge, but can't see what else would have triggered this.

Associated revisions

Revision 2519f1db - 2014-02-27 03:42 AM - Martin Dobias

Fix #9670 (respect map background color in composer)

History

#1 - 2014-02-26 06:44 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"2519f1db0475914431f3ce51c7cbf919392fca21".

Files

map_item_background_broken.zip 7.05 KB 2014-02-26 Mathieu Pellerin - nIRV
